Subject: Re: linux-next: manual merge of the battery tree with the i2c tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 12 Sep 2022 17:46:23 +1000

Hi Uwe,

On Mon, 12 Sep 2022 09:34:55 +0200 Uwe Kleine-König <[email-masked]> wrote:
>
> On Mon, Sep 12, 2022 at 01:03:44PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the battery tree got a conflict in:
> > 
> >   drivers/power/supply/cw2015_battery.c
> > 
> > between commit:
> > 
> >   ed5c2f5fd10d ("i2c: Make remove callback return void")
> > 
> > from the i2c tree and commit:
> > 
> >   ed5c2f5fd10d ("i2c: Make remove callback return void")
> > 
> > from the battery tree.  
> 
> The commit from the battery tree is
> 
> 	0cb172a4918e ("power: supply: cw2015: Use device managed API to simplify the code")

Yes, sorry, cut and paste fail :-(

> > I fixed it up (the latter removed the code modified by the former, so
> > I just did that)  
> 
> I don't see today's tag in git yet, but removing the code sounds right.

Good, and, yeah, I am still going :-)

-- 
Cheers,
Stephen Rothwell